:root {
    --cinza: #888;
    --branco: #fff;
    --azul: #007bff;
}

* {
    font-family: Helvetica;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin-bottom: 1rem;
}

h1 {
    margin-bottom: 1rem;
    text-transform: uppercase;
}

button {
    padding: 1.4rem 1.5rem;
    background-color: var(--cinza);
    color: var(--branco);
    border: none;
    border-radius: .50rem;
    cursor: pointer;
    opacity: .9;
    font-size: 2rem;
    transition: 0.4s;
}

#open-modal {
    background-color: var(--azul);
}

button:hover {
    opacity: 1;
}

#fade,
#modal {
    transition: .5s;
    opacity: 1;
    pointer-events: all;
}

#fade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 5;
}

#modal {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--branco);
    z-index: 10;
    width: 500%;
    max-width: 90%;
    padding: 2.2rem;
    border-radius: 1.5rem;
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--cinza);
    margin-bottom: 1rem;
    padding-bottom: .5rem;
}

#modal.hide,
#fade.hide {
    opacity: 0;
    pointer-events: none;
}

#modal.hide {
    top: 0;
}


/*modal 2*/
#open-mymodal {
    background-color: var(--azul);
}



#myfade,
#mymodal {
    transition: .5s;
    opacity: 1;
    pointer-events: all;
}

#myfade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 5;
}

#mymodal {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--branco);
    z-index: 10;
    width: 500%;
    max-width: 90%;
    padding: 2.2rem;
    border-radius: 1.5rem;
}

.mymodal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--cinza);
    margin-bottom: 1rem;
    padding-bottom: .5rem;
}

#mymodal.myhide,
#myfade.myhide {
    opacity: 0;
    pointer-events: none;
}

#mymodal.myhide {
    top: 0;
}

/*modal 3*/
#open-Dymodal {
    background-color: var(--azul);
}



#Dyfade,
#Dymodal {
    transition: .5s;
    opacity: 1;
    pointer-events: all;
}

#Dyfade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 5;
}

#Dymodal {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--branco);
    z-index: 10;
    width: 500%;
    max-width: 90%;
    padding: 2.2rem;
    border-radius: 1.5rem;
}

.Dymodal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--cinza);
    margin-bottom: 1rem;
    padding-bottom: .5rem;
}

#Dymodal.Dyhide,
#Dyfade.Dyhide {
    opacity: 0;
    pointer-events: none;
}

#Dymodal.Dyhide {
    top: 0;
}

/*modal 4*/
#open-kymodal {
    background-color: var(--azul);
}



#kyfade,
#kymodal {
    transition: .5s;
    opacity: 1;
    pointer-events: all;
}

#kyfade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 5;
}

#kymodal {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--branco);
    z-index: 10;
    width: 500%;
    max-width: 90%;
    padding: 2.2rem;
    border-radius: 1.5rem;
}

.kymodal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--cinza);
    margin-bottom: 1rem;
    padding-bottom: .5rem;
}

#kymodal.kyhide,
#kyfade.kyhide {
    opacity: 0;
    pointer-events: none;
}

#kymodal.kyhide {
    top: 0;
}